Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSEncryptedDataOutputConnector

`java.lang.Object
oracle.security.crypto.cms.CMSEncryptedDataOutputConnector`

All Implemented Interfaces:
  CMSOutputConnector

public class CMSEncryptedDataOutputConnector
extends java.lang.Object
implements CMSOutputConnector

A `CMSEncryptedDataOutputConnector` is used in place of a `CMSEncryptedDataOutputStream` when constructing nested CMS objects containing `encrypted-data` structures.

A `CMSEncryptedDataOutputConnector` is essentially an output stream filter that wraps the data written to it within a CMS `encrypted-data` structure. Only the Content field of the CMS ContentInfo structure minus the the explicit [0] tag wrapper is written to the underlying output stream.

See Also:
  `CMSOutputConnector`, `CMSEncryptedDataOutputStream`

Constructor Summary
`CMSEncryptedDataOutputConnector(CMSOutputConnector conn, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType)` Creates a `CMSEncryptedDataOutputConnector`.
`CMSEncryptedDataOutputConnector(CMSOutputConnector conn, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType, oracle.security.crypto.cert.AttributeSet unprotectedAttributes)` Creates a `CMSEncryptedDataOutputConnector`.
`CMSEncryptedDataOutputConnector(CMSOutputConnector conn, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType, oracle.security.crypto.cert.AttributeSet unprotectedAttributes, boolean writeEncryptedOutput)` Creates a `CMSEncryptedDataOutputConnector`.
`CMSEncryptedDataOutputConnector(java.io.OutputStream out, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType)` Creates a `CMSEncryptedDataOutputConnector`.
`CMSEncryptedDataOutputConnector(java.io.OutputStream out, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType, oracle.security.crypto.cert.AttributeSet unprotectedAttributes)` Creates a `CMSEncryptedDataOutputConnector`.
`CMSEncryptedDataOutputConnector(java.io.OutputStream out, oracle.security.crypto.core.SymmetricKey contentEncryptionKey, oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID, oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType, oracle.security.crypto.cert.AttributeSet unprotectedAttributes, boolean writeEncryptedOutput)` Creates a `CMSEncryptedDataOutputConnector`.

Method Summary
`oracle.security.crypto.asn1.ASN1ObjectID` | `getExposedContentType()` Returns the content type of the data that is output to the underlying output stream.
`java.io.OutputStream` | `getOutputStream()` Returns the output stream governed by this connector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(java.io.OutputStream out,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `out` - The underlying output stream.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The encryption algorithm identifier.
  `enclosedContentType` - The content type of the enclosed data.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The content encryption key is not valid.

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(java.io.OutputStream out,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType,
                                           oracle.security.crypto.cert.AttributeSet unprotectedAttributes)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `out` - The output stream.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The content encryption algorithm.
  `enclosedContentType` - The content type of the enclosed content.
  `unprotectedAttributes` - The set of unprotected attributes.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The encryption key is invalid.

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(java.io.OutputStream out,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType,
                                           oracle.security.crypto.cert.AttributeSet unprotectedAttributes,
                                           boolean writeEncryptedOutput)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `out` - The output stream.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The content encryption algorithm.
  `enclosedContentType` - The content type of the enclosed content.
  `unprotectedAttributes` - The set of unprotected attributes.
  `writeEncryptedOutput` - If `true` the encryptedContent will be written to the output stream; `false` otherwise.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The encryption key is invalid.

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(CMSOutputConnector conn,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `conn` - The underlying output connector.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The encryption algorithm identifier.
  `enclosedContentType` - The content type of the enclosed data.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The content encryption key is not valid.

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(CMSOutputConnector conn,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType,
                                           oracle.security.crypto.cert.AttributeSet unprotectedAttributes)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `conn` - The underlying output connector.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The content encryption algorithm.
  `enclosedContentType` - The content type of the enclosed content.
  `unprotectedAttributes` - The set of unprotected attributes.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The encryption key is invalid.

### CMSEncryptedDataOutputConnector

    public CMSEncryptedDataOutputConnector(CMSOutputConnector conn,
                                           oracle.security.crypto.core.SymmetricKey contentEncryptionKey,
                                           oracle.security.crypto.core.AlgorithmIdentifier contentEncryptionAlgID,
                                           oracle.security.crypto.asn1.ASN1ObjectID enclosedContentType,
                                           oracle.security.crypto.cert.AttributeSet unprotectedAttributes,
                                           boolean writeEncryptedOutput)
                                    throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                           oracle.security.crypto.core.InvalidKeyException

  Creates a `CMSEncryptedDataOutputConnector`.
Parameters:
  `conn` - The underlying output connector.
  `contentEncryptionKey` - The content encryption key.
  `contentEncryptionAlgID` - The content encryption algorithm.
  `enclosedContentType` - The content type of the enclosed content.
  `unprotectedAttributes` - The set of unprotected attributes.
  `writeEncryptedOutput` - If `true` the encryptedContent will be written to the output stream; `false` otherwise.
Throws:
  `oracle.security.crypto.core.AlgorithmIdentifierException` - The encryption algorithm is not supported.
  `oracle.security.crypto.core.InvalidKeyException` - The encryption key is invalid.

Method Detail

### getExposedContentType

    public oracle.security.crypto.asn1.ASN1ObjectID getExposedContentType()

  Returns the content type of the data that is output to the underlying output stream.
  Specified by:
    `getExposedContentType` in interface `CMSOutputConnector`
  Returns:
    The content type identifier.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns the output stream governed by this connector.
  Specified by:
    `getOutputStream` in interface `CMSOutputConnector`
  Returns:
    The underlying output stream.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.